Ask Your Question
0

OpenStack Installation Fails On RHEL 7 Using RDO

asked 2016-05-19 02:38:47 -0600

amit-g gravatar image

Hello,

I am trying to install OpenStack Kilo Version with RDO on RHEL 7.0 and it looks to be failing with Following ERROR ::

RROR : Error appeared during Puppet run: 10.182.197.39_provision_glance Error: Could not prefetch glance_image provider 'glance': Execution of '/usr/bin/glance --os-tenant-name services --os-username glance
--os-password 7c551c390f304bfa --os-region-name RegionOne --os-auth-url http://192.168.10.15:35357/ image-show edd2a9e5-eebd-4b13-9b37-59d38382a4c5' returned 1: id

Some More Logs ::

^[[mNotice: Compiled catalog for xyz.com in environment production in 0.24 seconds^[[0m
^[[1;31mError: Could not prefetch glance_image provider 'glance': Execution of '/usr/bin/glance --os-tenant-name services --os-username glance --os-password 7c551c390f304bfa --os-region-name RegionOne --os-auth-url http://192.168.10.15:35357/ image-show edd2a9e5-eebd-4b13-9b37-59d38382a4c5' returned 1: id^[[0m
^[[mNotice: /Stage[main]/Main/Glance_image[cirros]/ensure: created^[[0m
^[[mNotice: Finished catalog run in 12.59 seconds^[[0m
edit retag flag offensive close merge delete

Comments

Try "CONFIG_PROVISION_DEMO=n"

dbaxps gravatar imagedbaxps ( 2016-05-19 05:49:56 -0600 )edit

1 answer

Sort by ยป oldest newest most voted
0

answered 2016-05-19 14:44:58 -0600

jittinan2@gmail.com gravatar image

I found the solution from Bug 1312605 - Failure to install RDO Kilo via packstack on Fedora 23 . I fix this problem by downgrading

1.python-urllib3 from 1.13.1 to 1.10.4 2.python-requests from 2.9.1 to 2.7.0

edit flag offensive delete link more

Comments

It's my bug https://bugzilla.redhat.com/show_bug....
I just forgot . Downgrade python-urllib3 should be enough.

dbaxps gravatar imagedbaxps ( 2016-05-19 17:03:37 -0600 )edit

python-requests 2.9.1 need python-urllib3 1.13.1 so I need to downgrade python-requests 2.9.1 too.

jittinan2@gmail.com gravatar imagejittinan2@gmail.com ( 2016-05-20 13:42:37 -0600 )edit

tried downgrading but , again after running the packstack installation it upgrades it . and then fails

Amit M gravatar imageAmit M ( 2016-05-24 02:21:43 -0600 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Get to know Ask OpenStack

Resources for moderators

Question Tools

1 follower

Stats

Asked: 2016-05-19 02:38:47 -0600

Seen: 382 times

Last updated: May 19 '16